<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.4 at 2019-11-26 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>debian-maven-plugin - Debian Maven Plugin :: Goals</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20191126" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                    <div id="bannerLeft">
                Debian Maven Plugin
                </div>
                    <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
                    
                <div class="xleft">
        <span id="publishDate">Last Published: 2019-11-26</span>
                  &nbsp;| <span id="projectVersion">Version: 1.0.20</span>
                      </div>
            <div class="xright">        
                    
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
                    
                                <h5>Overview</h5>
                  <ul>
                  <li class="none">
                          <a href="index.html" title="Introduction">Introduction</a>
            </li>
                  <li class="none">
            <strong>Goals</strong>
          </li>
                  <li class="none">
                          <a href="usage.html" title="Usage">Usage</a>
            </li>
                  <li class="none">
                          <a href="changelog.html" title="Changelog">Changelog</a>
            </li>
                  <li class="none">
                          <a href="contact.html" title="Contact">Contact</a>
            </li>
          </ul>
                       <h5>Project Documentation</h5>
                  <ul>
                                                                                                        <li class="collapsed">
                          <a href="project-info.html" title="Project Information">Project Information</a>
                  </li>
                                                                                      <li class="collapsed">
                          <a href="project-reports.html" title="Project Reports">Project Reports</a>
                  </li>
          </ul>
                             <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
                    
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section">
<h2>Goals<a name="Goals"></a></h2>
<dl>
<dt>deb:package</dt>
<dd>Generate a Debian package.</dd>
<dt>deb:check</dt>
<dd>Do some sanity checks using Lintian.</dd>
<dt>deb:install</dt>
<dd>Install the package using dpkg.</dd>
<dt>deb:clean</dt>
<dd>Cleanup all generated files.</dd>
<dt>deb:deploy</dt>
<dd>Deploy the package into a Debian repository using reprepro.</dd></dl></div>
<div class="section">
<h2>System Requirements<a name="System_Requirements"></a></h2>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left">Maven</td>
<td align="left">3.x.x</td></tr>
<tr class="b">
<td align="left">JDK</td>
<td align="left">1.8</td></tr></table>
<p>Debian package management tools are also required for proper operation:</p>
<ul>
<li>dpkg-deb (goal: package)</li>
<li>fakeroot (goal: package)</li>
<li>lintian (goal: check)</li>
<li>dpkg, sudo (goal: install)</li>
<li>reprepro (goal: deploy)</li></ul></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;                   2012-2019.
          All Rights Reserved.      
                    
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
